{ config, lib, pkgs, ... }:

let cfg = config.modules.desktop.kde;
in {
  options.modules.desktop.kde = {
    enable = lib.mkOption {
      default = false;
      example = true;
    };
  };

  config = lib.mkIf cfg.enable {
    services.xserver = {
      enable = true;
      displayManager.sddm = {
        enable = true;
        wayland.enable = true;
      };
      desktopManager.plasma5.enable = true;
    };

    networking.networkmanager.enable = true;

    user.packages = with pkgs; [
      kmail
      mpv
    ];

    environment.systemPackages = with pkgs; [
      adw-gtk3
    ];
  };
}
